1. Client
Freedom Pay
  • Overview
  • Gateway API
    • Overview
    • Sync API
      • Overview
      • Purchase
        • Overview
        • Create payment
        • Any amount
        • Card
        • 3DSecure
        • Recurrent
        • Cancel
        • Clearing
        • Refund
        • Status
      • Payout
        • Overview
        • Card
        • IBAN
        • Balance
        • Status
      • Transfer
        • Overview
        • Card
        • 3DSecure
        • Rates
        • Status
      • Card
        • Overview
        • Add
        • 3DSecure
        • List
        • Remove
        • Status
      • Token
        • Overview
        • Token Pay
        • Apple Pay
        • Google Pay
        • Token Payout
        • Status
    • Async API
      • Overview
      • create
        • create payment
      • read
        • read payment
        • read request
      • edit
        • edit payment.refund
        • edit payment.reverse
        • edit payment.clearing
  • Merchant API
    • Overview
    • Purchase
      • Overview
      • Checkout
      • Card token
        • Overview
        • Tokenize card
        • Delete token
        • Card token list
        • Create payment (with CVC)
        • Confirm payment (with CVC)
        • Create payment
        • Confirm payment
      • Create payment
      • Any amount
      • Reccuring payment
      • Cancel payment
      • Clearing
      • Refund payment
      • Status
    • Payout
      • Overview
      • Card token
        • Tokenize card
        • Delete token
        • Card token list
        • Create payment
      • Create payment
      • IBAN
      • Balance status
      • Status
    • Mobile balance
      • Overview
      • Init
      • Pay
      • Approve
      • Resend code
      • Status
    • Invoice
      • Overview
      • Create invoice
      • Info
      • Refund
      • Status
      • Cancel
    • SDK
      • JS SDK
      • Merchant SDK
        • Google Pay
        • Android
        • IOS
    • CMS
      • Overview
      • Get Merchant ID and key
      • WordPress
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
        • Update
      • Tilda
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • InSales
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • Ecwid
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • Bitrix
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • PrestaShop
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • OpenCart
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
    • Redirect back
      POST
    • Result notify
      POST
    • Payout notify
      POST
    • Check request
      POST
  • Card API
    • Overview
    • Client
      • Card link
        POST
      • Сards' list
        POST
      • Create client
        POST
      • Client info
        POST
      • Update client
        POST
      • Verify client
        POST
    • Transactions
      • Create transaction
      • Clearing transaction
      • Refund transaction
      • Transaction info
      • Transaction status (depricated)
      • Transaction status
    • Card
      • Activate card
      • Block card
      • Balance
      • Card info
      • Card update
      • Card tokenization
      • Close card
      • Find card
      • Issue card
      • Issue plastic card
      • Operations' list
      • Reset PIN counter
      • Statement extended
      • Set PIN
      • Secret data
      • Unblock card
    • Limits
      • Limits list
      • Set limits
    • Bulk issue
      POST
    • Cardholder validation
      POST
    • Request' status
      POST
  • Partner API
    • Rates
      • Overview
      • Rates
    • Products
      • Overview
      • Dictionaries
      • Add client with product
      • Client request status
      • Create terminal
      • Update terminal limits
      • Product request status
    • E-Money
      • Overview
      • Add
      • Owner identification
      • Info
      • Close
      • Block
      • Balance
      • Statement
      • Request Status
    • Device ID
      • Android SDK
      • iOS SDK
    • Implement SuperApp
      • Overview
      • Pay
      • Refund
    • Account
      • Overview
      • Create payment
      • Payment status
      • Batch statuses
      • Statement
      • Statement status
      • Balance
      • Balance status
    • Invoices
      • Info
  1. Client

Сards' list

POST
https://api.freedompay.kz/v5/card-api/client/cards/list
This method is designed to retrieve a list of all payment cards issued in Freedom Processing that belong to a specific client. The response contains the same information as the Card Info method but for all of the client’s cards at once.
This method can be used in the following scenarios:
Displaying all client cards in the user interface
Monitoring the status of all client cards
Tracking balances across all client cards

Request

Body Params application/json

Example
{
    "request_id": "019ab688-bef2-72c4-6a29-d0e08be76d95",
    "client_id": "019abb98-91e6-76a0-b404-b741c7b07997"
}

Responses

🟢200Success
application/json
Body

Example
{
    "status": "ok",
    "request_status": "success",
    "dt": "2025-01-01T00:01:01+00:30",
    "cards": [
        {
            "card_id": "019ab688-bef2-72c4-6a29-d0e08be76d95",
            "product_id": 1000,
            "client_id": "5b3fa7ba-57d3-4017-a65b-d57dcd2db643",
            "branch_id": "string",
            "card_mask": "5483-18XX-XXXX-0293",
            "card.ips_pan_token": "string",
            "card_month": 0,
            "card_year": 0,
            "first_name": "string",
            "last_name": "string",
            "status": "00",
            "balances": [
                {
                    "iban": "ES7921000813610123456789",
                    "currency": "KZT",
                    "amount": 0,
                    "linked_amount": 0,
                    "available_amount": 0,
                    "blocked_amount": 0
                }
            ]
        }
    ]
}
Previous
Card link
Next
Create client